#ifndef USB6_H
#define USB6_H

int _stdcall FindUSBDAQ();
int _stdcall OpenDevice(int DevIndex);
void _stdcall CloseDevice(int DevIndex);

int _stdcall SetUSB6AiRange(int DevIndex, int Chan, float Range);
int _stdcall SetSampleRate(int DevIndex, double SampleRate, double *MySampleRate);
int _stdcall SetInputSignal(int DevIndex, int Chan, int SignalType);
int _stdcall SetClockSource(int DevIndex, int ClockSource, unsigned long ExtClkFreq);
int _stdcall SetPfi(int DevIndex, int PfiMode, int Pfi_DO);
int _stdcall SetTrig(int DevIndex, int TrigSource, int TrigEdge, int SoftTrig);
int _stdcall ClearTrigger(int DevIndex);
int _stdcall SetChanSel(int DevIndex, int ChanSel);
int _stdcall ClearDataFifo(int DevIndex);

int _stdcall StartRead(int DevIndex);
int _stdcall StopRead(int DevIndex);

int _stdcall CalibrateAi(int DevIndex, int Chan);
int _stdcall SetCaliSource(int DevIndex, unsigned char CaliSource);

int _stdcall GetAi(int DevIndex, unsigned long Points, int ChSel, float *Ai, long TimeOut);

// ERROR CODE
const int NO_USBDAQ = -1;
const int DevIndex_Overflow = -2;
const int Bad_Firmware = -3;
const int USBDAQ_Closed = -4;
const int Transfer_Data_Fail = -5;
const int NO_Enough_Memory = -6;
const int Time_Out = -7;
const int Not_Reading = -8;

#endif